* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Basics */
body {
    cursor: url("https://file.garden/aA2l8ug81GreC0q0/miku/pixel/BlinkingCursor.gif"), auto;
    font-family: "Times New Roman", Times, serif;
    background: #f2f8f9 url(https://file.garden/aA2l8ug81GreC0q0/assets/08700d6c.png) fixed;
    color: #918d84;
    font-size: 11px;
    display: flex;
    min-height: 100vh;
    letter-spacing: 1px;
    text-align: left;
    margin: 0;
    justify-content: center;
}

textarea {
    background: #222;
    color: #999;
    letter-spacing: 1px;
    font-size: 10px;
}

/* Links */
a:link,
a:visited,
a:active {
    color: #94afff;
    text-decoration: none;
    font-weight: bold;
    cursor: url("https://file.garden/aA2l8ug81GreC0q0/miku/pixel/KotatsuCursor.gif"), auto;
}
a:hover {
    color: #a2cfff;
    text-decoration: none;
}

/* Scrollbar */
::-webkit-scrollbar-thumb {
    background-color: #2b91ac;
    border: 1px solid #fff;
    border-radius: 3px;
}
::-webkit-scrollbar {
    width: 7px;
    height: 0;
    background: transparent;
}

/* Sidebar */
.sidebar {
    position: sticky;
    top: 0;
    height: 100vh;
    width: 230px;
    background: #94afff;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-shrink: 0;
}

.sidebar h2 {
    font:
        italic 15px "georgia",
        arial;
    font-size: 10px;
    color: white;
    margin-bottom: 10px;
    text-shadow: 2px 2px 4px black;
}

.sidebar a {
    color: white;
    text-decoration: none;
    margin: 10px 0;
    transition: color 0.3s;
}

.sidebar a:hover {
    color: #6663ff;
}

.blinkie {
    margin-bottom: 5px;
}

/* Main Content */
.content {
    flex: 1;
    padding: 50px 20px 20px 50px;
    background: url(https://64.media.tumblr.com/32cca63b354ab47ebcd4a2ee4282bba6/460e539e45f2d3ae-fe/s500x750/b7a52b21065ba570cbd33ea527d631d3cefa576d.pnj)
        repeat-x;
}

.site-name {
    font:
        italic 15px "georgia",
        arial;
    font-weight: bold;
    font-size: 22px;
    color: #6663ff;
    text-shadow: 3px 3px 6px #a4bbff;
    text-align: center;
    margin-bottom: 4px;
    padding: 1px;
    border-radius: 10px;
}

.slogan {
    text-align: center;
    color: #999;
}

.post {
    background: white;
    border: 1px dashed #c3c6e5;
    border-radius: 10px;
    padding: 20px;
    margin-bottom: 20px;
    max-width: 500px;
    width: 100%;
}

.post h3 {
    font:
        italic 15px "georgia",
        arial;
    margin-bottom: 10px;
    color: #6663ff;
    letter-spacing: 4px;
}

/* This makes layout responsive ! */
@media (max-width: 768px) {
    body {
        flex-direction: column;
    }

    .sidebar {
        position: relative;
        height: auto;
        width: 100%;
        flex-direction: row;
        justify-content: center;
        flex-wrap: wrap;
    }

    .sidebar h2 {
        width: 100%;
        text-align: center;
        margin-bottom: 5px;
    }

    .content {
        padding: 15px;
        padding-top: 50px;
    }

    .site-name {
        font-size: 22px;
        text-align: center;
    }
}
